%define orig_name usb-rndis-lite
Name: kernel-modules-%orig_name
Version: 0.11
Release: alt1
Summary: USB rndis kernel module
License: GPLv2
Group: System/Kernel and hardware
URL: http://downloads.sourceforge.net/synce/usb-rndis-lite-0.11.tar.gz
Source0: %orig_name-%version.tar.gz
Patch0:usb-rndis-lite-0.11-makefile.patch

Requires: kernel-image-wks-smp
BuildPreReq: kernel-headers-modules-wks-smp

Packager: Eugine V. Kosenko <maverik@altlinux.ru>

%define kernelversion 2.6.18-wks-smp

%description
Provides kernel module for USB rndis connection, it is used for the Windows Mobile based devices

%prep
%setup -q -n %orig_name-%version
%patch0 -p0

%build
make KDIR=/usr/src/linux-%kernelversion

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_MOD_PATH=$RPM_BUILD_ROOT KDIR=/usr/src/linux-%kernelversion install

%files
/lib/modules/*

%changelog
* Sun Feb 17 2008 Eugine V. Kosenko <maverik@altlinux.ru> 0.11-alt1
- Initial Build

